package com.redhat.qe;

import org.hibernate.Session;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * http://localhost:8180/sample-app/add
 */
@WebServlet("/add")
public class SampleServlet extends HttpServlet {

    private static String PAGE_HEADER = "<html><head><title>servlet-security</title></head><body>";

    private static String PAGE_FOOTER = "</body></html>";

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws IOException {
        PrintWriter writer = resp.getWriter();

        Session session = null;
        int id;
        try {
            session = HibernateUtil.getSessionFactory().openSession();
            SampleEntity sampleEntity = new SampleEntity();
            sampleEntity.setName("name=" + System.currentTimeMillis());
            session.persist(sampleEntity);
            id=sampleEntity.getId();
        }finally {
            if (session!=null) session.close();
        }

        writer.println(PAGE_HEADER);
        writer.println("<h1>" + "Successfully persisted Entity " + "</h1>");
        writer.println("<p>" + "ID  : " + id + "</p>");
        writer.println(PAGE_FOOTER);
        writer.close();
    }

}
